/* eslint-disable */
// @ts-ignore
import { request } from '@/utils/request';

/** 新增编辑客户 POST /api/LgGigWorker/AddUpdateCustomer */
export async function addUpdateCustomer(
  body: API.AddUpdateCustomerInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/LgGigWorker/AddUpdateCustomer', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 运营端对客户新增编辑合同模板 POST /api/LgGigWorker/AddUpdateCustomerContractTemplate */
export async function addUpdateCustomerContractTemplate(
  body: API.AddUpdateContractTemplateInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/LgGigWorker/AddUpdateCustomerContractTemplate', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 客户新增编辑合同模板 POST /api/LgGigWorker/AddUpdateCustomerContractTemplateWithCustomer */
export async function addUpdateCustomerContractTemplateWithCustomer(
  body: API.AddUpdateContractTemplateInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/LgGigWorker/AddUpdateCustomerContractTemplateWithCustomer', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 判断是否能签署 GET /api/LgGigWorker/CanSign */
export async function canSign(options?: API.RequestConfig) {
  return request<boolean>('/api/LgGigWorker/CanSign', {
    method: 'GET',
    ...(options || {}),
  });
}

/** 获取人员实名认证状态 POST /api/LgGigWorker/CheckUserRealVerifyStatus */
export async function checkUserRealVerifyStatus(
  body: API.LgGigWorkerBaseInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/LgGigWorker/CheckUserRealVerifyStatus', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 删除合同模板 DELETE /api/LgGigWorker/DeleteCustomerTemplate */
export async function deleteCustomerTemplate(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIdeleteCustomerTemplateParams,
  options?: API.RequestConfig
) {
  return request<number>('/api/LgGigWorker/DeleteCustomerTemplate', {
    method: 'DELETE',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 删除用户 DELETE /api/LgGigWorker/DeleteLgGigWorkerUser */
export async function deleteLgGigWorkerUser(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIdeleteLgGigWorkerUserParams,
  options?: API.RequestConfig
) {
  return request<number>('/api/LgGigWorker/DeleteLgGigWorkerUser', {
    method: 'DELETE',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 费用扣除 GET /api/LgGigWorker/DoDeductAmountForSignCost */
export async function doDeductAmountForSignCost(options?: API.RequestConfig) {
  return request<number>('/api/LgGigWorker/DoDeductAmountForSignCost', {
    method: 'GET',
    ...(options || {}),
  });
}

/** 下载合同凭证 GET /api/LgGigWorker/DoDownloadContractAttachmentFile */
export async function doDownloadContractAttachmentFile(options?: API.RequestConfig) {
  return request<number>('/api/LgGigWorker/DoDownloadContractAttachmentFile', {
    method: 'GET',
    ...(options || {}),
  });
}

/** 下载合同 GET /api/LgGigWorker/DoDownloadContractFile */
export async function doDownloadContractFile(options?: API.RequestConfig) {
  return request<number>('/api/LgGigWorker/DoDownloadContractFile', {
    method: 'GET',
    ...(options || {}),
  });
}

/** 获取当前电子签类型 GET /api/LgGigWorker/GetCurrentSignType */
export async function getCurrentSignType(options?: API.RequestConfig) {
  return request<string>('/api/LgGigWorker/GetCurrentSignType', {
    method: 'GET',
    ...(options || {}),
  });
}

/** 获取甲方列表 POST /api/LgGigWorker/GetCustomerList */
export async function getCustomerList(body: API.GetCustomerListInput, options?: API.RequestConfig) {
  return request<API.GetCustomerListOutputPageOutput>('/api/LgGigWorker/GetCustomerList', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取模板明细信息 GET /api/LgGigWorker/GetCustomerTemplateDetail */
export async function getCustomerTemplateDetail(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetCustomerTemplateDetailParams,
  options?: API.RequestConfig
) {
  return request<API.GetCustomerTemplateDetailOutput>(
    '/api/LgGigWorker/GetCustomerTemplateDetail',
    {
      method: 'GET',
      params: {
        ...params,
      },
      ...(options || {}),
    }
  );
}

/** 获取甲方客户合同模板列表 GET /api/LgGigWorker/GetCustomerTemplateList */
export async function getCustomerTemplateList(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetCustomerTemplateListParams,
  options?: API.RequestConfig
) {
  return request<API.GetCustomerTemplateListOutput[]>('/api/LgGigWorker/GetCustomerTemplateList', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 获取甲方客户合同模板列表 POST /api/LgGigWorker/GetCustomerTemplateList */
export async function getCustomerTemplateList_2(
  body: API.QueryCustomerTemplateListInput,
  options?: API.RequestConfig
) {
  return request<API.GetCustomerTemplateListOutput[]>('/api/LgGigWorker/GetCustomerTemplateList', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取企业费用统计 GET /api/LgGigWorker/GetEnterinessLgGigSignFee */
export async function getEnterinessLgGigSignFee(options?: API.RequestConfig) {
  return request<API.EnterinessLgGigSignFeeOutput>('/api/LgGigWorker/GetEnterinessLgGigSignFee', {
    method: 'GET',
    ...(options || {}),
  });
}

/** 获取合同地址 POST /api/LgGigWorker/GetLgGigWorkerContractUrl */
export async function getLgGigWorkerContractUrl(
  body: API.LgGigWorkerBaseInput,
  options?: API.RequestConfig
) {
  return request<API.GetLgGigWorkerContractUrlOutput>(
    '/api/LgGigWorker/GetLgGigWorkerContractUrl',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 获取合同预览地址 POST /api/LgGigWorker/GetLgGigWorkerPriviewUrl */
export async function getLgGigWorkerPriviewUrl(
  body: API.UserGetSignPriveiwUrlInput,
  options?: API.RequestConfig
) {
  return request<API.BestSignRequestResultDto>('/api/LgGigWorker/GetLgGigWorkerPriviewUrl', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取人员信息 GET /api/LgGigWorker/GetLgGigWorkUserDetail */
export async function getLgGigWorkUserDetail(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetLgGigWorkUserDetailParams,
  options?: API.RequestConfig
) {
  return request<API.LgGigWorkUserOutput>('/api/LgGigWorker/GetLgGigWorkUserDetail', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 获取C端人员管理列表 POST /api/LgGigWorker/GetLgGigWorkUserList */
export async function getLgGigWorkUserList(
  body: API.GetLgGigWorkUserInput,
  options?: API.RequestConfig
) {
  return request<API.LgGigWorkUserOutputPageOutput>('/api/LgGigWorker/GetLgGigWorkUserList', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 根据bussinessCode获取其电子签通道 GET /api/LgGigWorker/GetSignChannelByBussinessCode */
export async function getSignChannelByBussinessCode(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetSignChannelByBussinessCodeParams,
  options?: API.RequestConfig
) {
  return request<API.SignChannelEnum>('/api/LgGigWorker/GetSignChannelByBussinessCode', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 根据signId获取其电子签通道 GET /api/LgGigWorker/GetSignChannelBySignId */
export async function getSignChannelBySignId(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetSignChannelBySignIdParams,
  options?: API.RequestConfig
) {
  return request<API.SignChannelEnum>('/api/LgGigWorker/GetSignChannelBySignId', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 获取统一电子签费用 POST /api/LgGigWorker/GetSignMergeSignCostList */
export async function getSignMergeSignCostList(
  body: API.GetSignCostListInput,
  options?: API.RequestConfig
) {
  return request<API.GetSignMergeCostListOutputPageOutput>(
    '/api/LgGigWorker/GetSignMergeSignCostList',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 获取短信费用 POST /api/LgGigWorker/GetSignMessgeCostList */
export async function getSignMessgeCostList(
  body: API.GetSignCostListInput,
  options?: API.RequestConfig
) {
  return request<API.GetSignMessageCostListOutputPageOutput>(
    '/api/LgGigWorker/GetSignMessgeCostList',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 获取实名认证费用 POST /api/LgGigWorker/GetSignRealNameCostList */
export async function getSignRealNameCostList(
  body: API.GetSignCostListInput,
  options?: API.RequestConfig
) {
  return request<API.GetSignRealNameCostListOutputPageOutput>(
    '/api/LgGigWorker/GetSignRealNameCostList',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 根据signChannel获取计费方式 GET /api/LgGigWorker/GetSignSettingByChannle */
export async function getSignSettingByChannle(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetSignSettingByChannleParams,
  options?: API.RequestConfig
) {
  return request<API.ChargeTypeEnum>('/api/LgGigWorker/GetSignSettingByChannle', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 获取客户甲方下拉列表 GET /api/LgGigWorker/GetUserCustomerAllList */
export async function getUserCustomerAllList(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetUserCustomerAllListParams,
  options?: API.RequestConfig
) {
  return request<API.GetCustomerListOutput[]>('/api/LgGigWorker/GetUserCustomerAllList', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 人员导入 POST /api/LgGigWorker/ImportLgGigWorkerUser */
export async function importLgGigWorkerUser(
  body: API.LgGigWorkerUserImport,
  options?: API.RequestConfig
) {
  return request<API.ImportInsLgWorkerOutput>('/api/LgGigWorker/ImportLgGigWorkerUser', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取签约链接 POST /api/LgGigWorker/LgGigUserToSignUrl */
export async function lgGigUserToSignUrl(
  body: API.LgGigUserToSignUrlInput,
  options?: API.RequestConfig
) {
  return request<API.BestSignRequestResultDto>('/api/LgGigWorker/LgGigUserToSignUrl', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 自动签署 POST /api/LgGigWorker/LgGigWorkerBussinessAutoSign */
export async function lgGigWorkerBussinessAutoSign(
  body: API.LgGigWorkerBussinessAutoSignInput,
  options?: API.RequestConfig
) {
  return request<API.LgGigWorkerBussinessAutoSignOutput>(
    '/api/LgGigWorker/LgGigWorkerBussinessAutoSign',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 灵工人员登记 POST /api/LgGigWorker/LgGigWorkerRegister */
export async function lgGigWorkerRegister(
  body: API.LgGigWorkerRegisterInput,
  options?: API.RequestConfig
) {
  return request<API.BestSignRequestResultDto>('/api/LgGigWorker/LgGigWorkerRegister', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 记录费用 POST /api/LgGigWorker/RecordUserSignCost */
export async function recordUserSignCost(
  body: API.RecordUserSignInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/LgGigWorker/RecordUserSignCost', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** C端用户批量短信发送 POST /api/LgGigWorker/SendMessageForSign */
export async function sendMessageForSign(
  body: API.LgGigWorkerUserSignListInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/LgGigWorker/SendMessageForSign', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 插入多合同手动签章Key POST /api/LgGigWorker/SetManyContractHandSignKey */
export async function setManyContractHandSignKey(
  body: API.SetManyContractTemplateHandSignKeyInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/LgGigWorker/SetManyContractHandSignKey', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 插入多合同自动签使用坐标 POST /api/LgGigWorker/SetManyContractTemplatePosition */
export async function setManyContractTemplatePosition(
  body: API.SetContractTemplatePositionInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/LgGigWorker/SetManyContractTemplatePosition', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 合同下载 POST /api/LgGigWorker/SignOverDownlaodContract */
export async function signOverDownlaodContract(
  body: API.GetUserStorageContractUploadResponse,
  options?: API.RequestConfig
) {
  return request<API.BestSignRequestResultDto>('/api/LgGigWorker/SignOverDownlaodContract', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 更新人员信息 POST /api/LgGigWorker/UpdateLgGigWorkerUserInfo */
export async function updateLgGigWorkerUserInfo(
  body: API.UpdateLgGigWorkerUserInfoInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/LgGigWorker/UpdateLgGigWorkerUserInfo', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 用户解约 POST /api/LgGigWorker/UpdateLgGigWorkerUserSignStatus */
export async function updateLgGigWorkerUserSignStatus(
  body: API.LgGigWorkerUserSignListInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/LgGigWorker/UpdateLgGigWorkerUserSignStatus', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 人员认证前发送短信验证码 POST /api/LgGigWorker/UserGoToContactSignVerify */
export async function userGoToContactSignVerify(
  body: API.UserGetSignPriveiwUrlInput,
  options?: API.RequestConfig
) {
  return request<API.BestSignRequestResultDto>('/api/LgGigWorker/UserGoToContactSignVerify', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** C端人员认证并获取证书 POST /api/LgGigWorker/UserPersonalRegAndRealNameAndApplyCert */
export async function userPersonalRegAndRealNameAndApplyCert(
  body: API.UserPersonRealVerifyInput,
  options?: API.RequestConfig
) {
  return request<API.BestSignRequestResultDto>(
    '/api/LgGigWorker/UserPersonalRegAndRealNameAndApplyCert',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}
